Bug 1541212 - prometheus fails compaction
Summary: prometheus fails compaction
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Hawkular
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.9.z
Assignee: Paul Gier
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-02 02:01 UTC by Kenjiro Nakayama
Modified: 2018-06-18 18:19 UTC (History)
4 users (show)

Fixed In Version: openshift v3.9.22
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-06-18 18:19:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1531096 None CLOSED Prometheus fills up entire storage space 2019-07-29 13:02:31 UTC
Red Hat Product Errata RHSA-2018:2013 normal SHIPPED_LIVE Important: OpenShift Container Platform 3.9 security, bug fix, and enhancement update 2018-06-27 22:01:43 UTC

Internal Links: 1531096

Description Kenjiro Nakayama 2018-02-02 02:01:56 UTC
Description of problem:

The issue I wanted to report here is already identified and fixed on upstream.

  report : https://github.com/prometheus/prometheus/issues/3506
  bug fix: https://github.com/prometheus/prometheus/pull/3508

However, RH's image(package) didn't contain the fix yet.

  (latest package)
  https://access.redhat.com/downloads/content/prometheus/2.0.0-1.git0a74f98.el7/x86_64/fd431d51/package

Version-Release number of selected component (if applicable):
- prometheus-2.0.0-1.git0a74f98.el7.x86_64.rpm

Expected results:
- We would like to requst to import the fix into RH's prometheus as soon as possible, as OpenShift customers use prometheus with NFS.

Comment 1 Paul Gier 2018-02-22 01:05:33 UTC
We're working on the upgrade to prometheus 2.1.0 which includes the fixes mentioned, so this should be resolved.

Comment 2 Kenjiro Nakayama 2018-02-22 01:09:48 UTC
Thank you. That is great. We will keep tracking this BZ until the fix is released.

Comment 3 Paul Gier 2018-02-22 22:23:50 UTC
Upstream PRs for upgrading prometheus in examples and installer:
https://github.com/openshift/origin/pull/18727
https://github.com/openshift/openshift-ansible/pull/7258

Comment 5 Paul Gier 2018-04-18 18:04:52 UTC
The master and 3.9 branches of openshift have been updated to prometheus 2.2.1.

Comment 6 Junqi Zhao 2018-04-19 09:30:17 UTC
Tested with prometheus/images/v3.9.22-1,prometheus version in 2.2.1 now in prometheus 3.9 image, and passed our sanity testing

other images
prometheus-alert-buffer/images/v3.9.22-1
prometheus-alertmanager/images/v3.9.22-1
oauth-proxy/images/v3.9.22-1


# openshift version
openshift v3.9.22
kubernetes v1.9.1+a0ce1bc657
etcd 3.2.16

Comment 7 Junqi Zhao 2018-04-19 09:31:00 UTC
(In reply to Junqi Zhao from comment #6)
> Tested with prometheus/images/v3.9.22-1,prometheus version in 2.2.1 now in

change to 
Tested with prometheus/images/v3.9.22-1,prometheus version is 2.2.1 now in


Note You need to log in before you can comment on or make changes to this bug.